import java.util.ArrayList;


public class Label {
	
	private int labelId;
	private Node currentNode;
	private double arrivalTime;
	private double accumulatedLoad;
	private ArrayList<Node> visitedNodes; 
	private double visitedID;
	
	public int getId() {
		return labelId;
	}
	public Node getCurrentNode() {
		return currentNode;
	}
	
	public double getArrivalTime() {
		return arrivalTime;
	}
	public double getAccumulatedLoad() {
		return accumulatedLoad;
	}
	public ArrayList<Node> getVisitedNodes() {
		return visitedNodes;
	} 
	
	public double getVisitedID(){
		return visitedID;
	}
	
	private double findVisitedID(){
		double visitedIDnumber = 0;
		for(Node n : visitedNodes){
			visitedIDnumber = visitedIDnumber + n.getNodeID();
		}
		return visitedIDnumber;
	}
	
	public Label(int id, Node currNode, double arrTime, double accLoad, ArrayList<Node> visNodes){
		labelId = id;
		currentNode = currNode;
		arrivalTime = arrTime;
		accumulatedLoad = accLoad;
		visitedNodes = visNodes;
		visitedID = findVisitedID();
	}
	
	public String toString() {
		String ret = " Label: " + labelId + " Time: " + arrivalTime + " Acc. load: " + accumulatedLoad + " Path: " + "[";
		
		for(Node n : visitedNodes) {
			ret += n.getNodeNumber() + " ";
		}
		
		ret += "]";
		
		return ret;
	}
	
}

